RagTime5ClusterManager::ClusterRoot Struct Reference documentation

RagTime5ClusterManager::ClusterRoot Struct Referencefinal

the cluster for root More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::ClusterRoot:

## Public Member Functions
| ClusterRoot ()
| constructor
| ~ClusterRoot () final
| destructor
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor
virtual | ~Cluster ()
| destructor

## Public Attributes
int | m_styleClusterIds [8]
| the list of style cluster ( graph, units, unitsbis, text, format, unknown, graphcolor, col/pattern id)
int | m_clusterIds [1]
| other cluster id (unknown cluster b, )
Link | m_docInfoLink
| the doc info link
Link | m_functionNameLink
| the function name links
Link | m_graphicTypeLink
| the graphic type id
Link | m_listUnicodeLink
| a link to a list of unknown index+unicode string
int | m_listClusterId
| the cluster list id
NameLink | m_listClusterName
| the cluster list id name zone link
Link | m_listClusterLink [3]
| first the main cluster link, second list of field definition link, third in header
Link | m_linkUnknown
| other link: scripts and field 6
librevenge::RVNGString | m_fileName
| the filename if known
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type
int | m_zoneId
| the zone id
bool | m_hiLoEndian
| the cluster hiLo endian
librevenge::RVNGString | m_name
| the cluster name (if know)
Link | m_childLink
| the child link
Link | m_parentLink
| the parent link
Link | m_dataLink
| the main data link
NameLink | m_nameLink
| the name link
Link | m_formulaLink
| the formula cluster links (def and pos)
std::vector< Link > | m_settingLinks
| the settings links
std::vector< Link > | m_linksList
| the link list
std::vector< int > | m_clusterIdsList
| the cluster ids
bool | m_isSent
| true if the cluster was send

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

the cluster for root

## Constructor & Destructor Documentation

## ◆ ClusterRoot()

RagTime5ClusterManager::ClusterRoot::ClusterRoot | ( |  | ) |
| inline

constructor

## ◆ ~ClusterRoot()

RagTime5ClusterManager::ClusterRoot::~ClusterRoot | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_clusterIds

int RagTime5ClusterManager::ClusterRoot::m_clusterIds[1]

other cluster id (unknown cluster b, )

Referenced by ClusterRoot(), and RagTime5Document::readClusterRootData().

## ◆ m_docInfoLink

Link RagTime5ClusterManager::ClusterRoot::m_docInfoLink

the doc info link

Referenced by ClusterRoot(), and RagTime5Document::readClusterRootData().

## ◆ m_fileName

librevenge::RVNGString RagTime5ClusterManager::ClusterRoot::m_fileName

the filename if known

Referenced by ClusterRoot().

## ◆ m_functionNameLink

Link RagTime5ClusterManager::ClusterRoot::m_functionNameLink

the function name links

Referenced by ClusterRoot(), and RagTime5Document::readClusterRootData().

## ◆ m_graphicTypeLink

Link RagTime5ClusterManager::ClusterRoot::m_graphicTypeLink

the graphic type id

Referenced by ClusterRoot(), and RagTime5Document::readClusterRootData().

## ◆ m_linkUnknown

Link RagTime5ClusterManager::ClusterRoot::m_linkUnknown

other link: scripts and field 6

Referenced by ClusterRoot(), and RagTime5Document::readClusterRootData().

## ◆ m_listClusterId

int RagTime5ClusterManager::ClusterRoot::m_listClusterId

the cluster list id

Referenced by ClusterRoot(), RagTime5ClusterManager::readClusterMainList(), and RagTime5Document::readClusterRootData().

## ◆ m_listClusterLink

Link RagTime5ClusterManager::ClusterRoot::m_listClusterLink[3]

first the main cluster link, second list of field definition link, third in header

Referenced by RagTime5ClusterManager::readClusterMainList(), and RagTime5Document::readClusterRootData().

## ◆ m_listClusterName

NameLink RagTime5ClusterManager::ClusterRoot::m_listClusterName

the cluster list id name zone link

Referenced by ClusterRoot(), and RagTime5ClusterManager::readClusterMainList().

## ◆ m_listUnicodeLink

Link RagTime5ClusterManager::ClusterRoot::m_listUnicodeLink

a link to a list of unknown index+unicode string

Referenced by ClusterRoot(), and RagTime5Document::readClusterRootData().

## ◆ m_styleClusterIds

int RagTime5ClusterManager::ClusterRoot::m_styleClusterIds[8]

the list of style cluster ( graph, units, unitsbis, text, format, unknown, graphcolor, col/pattern id)

Referenced by ClusterRoot(), and RagTime5Document::readClusterRootData().

The documentation for this struct was generated from the following files:

- RagTime5ClusterManager.hxx
- RagTime5ClusterManager.cxx